// forv importing required data files for creating map
import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

// Importing required url for the packages and creating a country.
const Url = 'https://gist.githubusercontent.com/Kiran3295/53b06ad1db6118fefe2b076e43c43fc0/raw/098d5161d7307c2264c603de0e317a2cc38acc53/US%2520data.json';
export const useData = () => {
  const [data, setData] = useState(null);
// Creating the map effectively we can use it for our display.
  useEffect(() => {
    json(Url).then(topology => {
      const { states } = topology.objects;
      setData({
        land: feature(topology, states),
        interiors: mesh(topology, states, (a, b) => a !== b)
      });
    });
  }, []);

  return data;
};


